<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$almacen_ccosto = $ges->get_almacen_ccosto();
			$tecnicos = $ges->get_tecnicos();
			$trabajadores = $ges2->get_trabajadores();
			$productos = $ges->get_producto_servicio_bio(1); 

			function quitarTildes($cadena) {
				$cadena = str_replace(
					['á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú'],
					['a', 'e', 'i', 'o', 'u', 'A', 'E', 'I', 'O', 'U'],
					$cadena
				);
				return $cadena;
			}
			
			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				

				require_once("./view/asignacion_tecnico_bio.phtml");
				
			}

			if(isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				if( !empty($_POST['sku_ps'][0]) || $_POST['sku_ps'][0] != '' || isset($_POST['sku_ps'][0])){

				$resultado = $ges->set_requerimiento( explode(" - ", $_POST['almacen'])[0],$_POST['tecnico']);

				}

				$i = 0;
				$z = 0;

				foreach ($_POST['sku_ps'] as $val){

					if( !empty($_POST['sku_ps'][$i]) || $_POST['sku_ps'][$i] != '' || isset($_POST['sku_ps'][$i])){


						$found_key="";
						$found_key = array_search($_POST['sku_ps'][$i], array_column($productos, 'sku'));

						$id_producto = $productos[$found_key]['id_producto_servicio'];

						if($productos[$found_key]['sku'] == $_POST['sku_ps'][$i]){

							if(intval($_POST['cantidad_ps'][$i]) < 1){

								$_POST['cantidad_ps'][$i] = 1;
								
							}

						$z++;

						$resultado_final = $ges->set_requerimiento_detalle($resultado['id_requerimiento_almacen'],$id_producto,intval($_POST['cantidad_ps'][$i]),explode(" - ", $_POST['almacen'])[0],$_POST['tecnico']);

						}

						$i = $i + 1;

					}

				}

				if($i == 0 || $z == 0){

					$ultimo = $ges->get_ultimo_requerimiento();
					$delete = $ges->get_update_requerimiento($ultimo['id_requerimiento_almacen']);

					echo '<script type="text/javascript">alert("ERROR: NO HA AGREGADO ALGÚN PRODUCTO EN SU SOLICITUD");window.location.href="asignacion_tecnico_bio.php";</script>';		

				}else{

					echo '<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="index.php";</script>';

				}
				
			}


?>